Bug 1281664 - Review Request: gap-pkg-smallsemi - GAP library of small semigroups
Review Request: gap-pkg-smallsemi - GAP library of small semigroups
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Sandro Mani
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-11-12 22:59 EST by Jerry James
Modified: 2015-11-23 15:55 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 15:55:11 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
manisandro: fedora‑review+


Attachments (Terms of Use)
Logs (16.51 KB, application/x-xz)
2015-11-13 19:33 EST, Sandro Mani
no flags Details

  None (edit)
Description Jerry James 2015-11-12 22:59:05 EST
Spec URL: https://jjames.fedorapeople.org/gap-pkg-smallsemi/gap-pkg-smallsemi.spec
SRPM URL: https://jjames.fedorapeople.org/gap-pkg-smallsemi/gap-pkg-smallsemi-0.6.8-1.fc24.src.rpm
Fedora Account System Username: jjames
Description: The Smallsemi package is a data library of semigroups of small size.  It provides all semigroups with at most 8 elements as well as information of various kinds about these objects.
Comment 1 Sandro Mani 2015-11-13 17:48:41 EST
All ok, approved.


Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[-]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[x]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: gap-pkg-smallsemi-0.6.8-1.fc24.noarch.rpm
          gap-pkg-smallsemi-0.6.8-1.fc24.src.rpm
gap-pkg-smallsemi.noarch: W: spelling-error Summary(en_US) semigroups -> semi groups, semi-groups, regroups
gap-pkg-smallsemi.noarch: W: spelling-error %description -l en_US semigroups -> semi groups, semi-groups, regroups
gap-pkg-smallsemi.noarch: W: only-non-binary-in-usr-lib
gap-pkg-smallsemi.src: W: spelling-error Summary(en_US) semigroups -> semi groups, semi-groups, regroups
gap-pkg-smallsemi.src: W: spelling-error %description -l en_US semigroups -> semi groups, semi-groups, regroups
2 packages and 0 specfiles checked; 0 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
gap-pkg-smallsemi.noarch: W: only-non-binary-in-usr-lib
1 packages and 0 specfiles checked; 0 errors, 1 warnings.



Requires
--------
gap-pkg-smallsemi (rpmlib, GLIBC filtered):
    gap-core



Provides
--------
gap-pkg-smallsemi:
    gap-pkg-smallsemi



Source checksums
----------------
http://www-groups.mcs.st-andrews.ac.uk/~jamesm/smallsemi/smallsemi-0.6.8.tar.gz :
  CHECKSUM(SHA256) this package     : 750044b535468594d56b3acf83d642d9062329bece65c6347978201f85817671
  CHECKSUM(SHA256) upstream package : 750044b535468594d56b3acf83d642d9062329bece65c6347978201f85817671


Generated by fedora-review 0.6.0 (3c5c9d7) last change: 2015-05-20
Command line :/bin/fedora-review -b 1281664
Buildroot used: fedora-rawhide-x86_64
Active plugins: Generic, Shell-api
Disabled plugins: Java, C/C++, Python, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 2 Sandro Mani 2015-11-13 17:55:15 EST
Quick remark though: this just caught my eye in the build log, perhaps it is something that needs to be fixed:

[...]
gap -l '/builddir/build/BUILD/smallsemi-0.6.8/..;/usr/lib/gap'
 *********   GAP, Version 4.7.8 of 09-Jun-2015 (free software, GPL)
 *  GAP  *   http://www.gap-system.org
 *********   Architecture: x86_64-redhat-linux-gnu-gcc-default64
 Libs used:  gmp, readline
 Loading the library and packages ...
 Components: trans 1.0, prim 2.1, small* 1.0, id* 1.0
 Packages:   GAPDoc 1.5.1
 Try '?help' for help. See also  '?copyright' and  '?authors'
gap> -----------------------------------------------------------------------------
Smallsemi -   A library of small semigroups
by Andreas Distler & James Mitchell
For contents, type: ?Smallsemi:
Loading Smallsemi 0.6.8 ...
-----------------------------------------------------------------------------
true
gap> #I  #I Composing XML document . . .
#I  #I Parsing XML document . . .
#I  #I Checking XML structure . . .
#I  #I Text version (also produces labels for hyperlinks):
#I  #I First run, collecting cross references, index, toc, bib and so on . . .
Error, no method found! For debugging hints type ?Recovery from NoMethodFound
Error, no 1st choice method found for `Filename' on 2 arguments called from
Filename( dirs, "manual.six" ) called from
HELP_BOOK_INFO( bookname ) called from
GAPDoc2TextProcs.ResolveExternalRef( r.attributes.BookName, lab, 1 
 ) called from
GAPDoc2TextProcs.(r.name)( r, str ); called from
GAPDoc2Text( a, s ); called from
...  at line 2 of *stdin*
you can 'quit;' to quit to outer loop, or
you can 'return;' to continue
brk> brk> #I  File: /builddir/build/BUILD/smallsemi-0.6.8/../pkg/smallsemi-0.6.8/doc/manual.lab written.gap> 
brk> + rm -fr ../../doc ../pkg
+ exit 0
[...]
Comment 3 Jerry James 2015-11-13 19:06:36 EST
Hmmm, I thought I had fixed that.  Okay, I'll refix it. :-)  Thanks, Sandro.
Comment 4 Jerry James 2015-11-13 19:30:14 EST
Are you building on F-23, perchance?  I'm not getting that error on Rawhide.
Comment 5 Sandro Mani 2015-11-13 19:33 EST
Created attachment 1093960 [details]
Logs

Nope, built on rawhide also. Attaching build and root log.
Comment 6 Gwyn Ciesla 2015-11-14 14:53:34 EST
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/gap-pkg-smallsemi
Comment 7 Jerry James 2015-11-14 16:01:37 EST
(In reply to Sandro Mani from comment #5)
> Nope, built on rawhide also. Attaching build and root log.

Ah, yes, you're building with packages from just before the big documentation change I pushed a couple of days ago.  If you age out your mock cache and rebuild, this error will go away.
Comment 8 Fedora Update System 2015-11-14 16:29:14 EST
gap-pkg-smallsemi-0.6.8-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2015-3c39a7c172
Comment 9 Fedora Update System 2015-11-15 00:25:10 EST
gap-pkg-smallsemi-0.6.8-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update gap-pkg-smallsemi'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-3c39a7c172
Comment 10 Fedora Update System 2015-11-23 15:55:09 EST
gap-pkg-smallsemi-0.6.8-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.